aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/install_os_provided_python.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-08-23 23:13:33 +0300
committerGitHub <noreply@github.com>2022-08-23 23:13:33 +0300
commit84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (patch)
tree74b7eddfc24ae22409baf5f3e4be28ce52d5881a /test-scenarios/install_os_provided_python.sh
parent0cafeee86296b9f19e6425055e0c4037eff41985 (diff)
Fix bug - Python: Error installing os-provided python (#112)
* python: fix bug * bump versions
Diffstat (limited to 'test-scenarios/install_os_provided_python.sh')
-rw-r--r--test-scenarios/install_os_provided_python.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test-scenarios/install_os_provided_python.sh b/test-scenarios/install_os_provided_python.sh
new file mode 100644
index 0000000..4dba59d
--- /dev/null
+++ b/test-scenarios/install_os_provided_python.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "python3 is installed" python3 --version
+check "python is installed" python --version
+check "pip is installed" pip --version
+check "pip is installed" pip3 --version
+
+check "node is installed" node --version
+
+# Report result
+reportResults